package com.fuint.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fuint.common.param.RaffleTypePage;
import com.fuint.framework.exception.BusinessCheckException;
import com.fuint.framework.pagination.PaginationResponse;
import com.fuint.repository.model.MtRaffleType;

import java.util.List;

/**
 * 抽奖类型服务接口
 *
 * Created by FSQ
 * CopyRight https://www.fuint.cn
 */
public interface RaffleTypeService extends IService<MtRaffleType> {

    PaginationResponse<MtRaffleType> queryRaffleTypeListByPagination(RaffleTypePage page) throws BusinessCheckException;

    MtRaffleType addRaffleType(MtRaffleType raffleType) throws BusinessCheckException;

    MtRaffleType getRaffleTypeById(Integer id) throws BusinessCheckException;

    MtRaffleType updateRaffleType(MtRaffleType raffleType) throws BusinessCheckException;

    List<MtRaffleType> getAvailableRaffleType(Integer merchantId, Integer storeId) throws BusinessCheckException;
}
